with GNATCOM.Dispinterface;

package MSHTML.IHTCDescBehavior_Interface is

   type IHTCDescBehavior_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTCDescBehavior_Type);

   function Pointer (This : IHTCDescBehavior_Type)
     return Pointer_To_IHTCDescBehavior;

   procedure Attach (This    : in out IHTCDescBehavior_Type;
                     Pointer : in     Pointer_To_IHTCDescBehavior);

   function Get_urn
     (This : IHTCDescBehavior_Type)
     return GNATCOM.Types.BSTR;

   function Get_name
     (This : IHTCDescBehavior_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTCDescBehavior_Interface;

